The "Order Fulfillment" API facilitates the process of fulfilling an order.

http
POST https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
orderIdstringYes653f5e0cde5a1314e62a837cID of the order that needs to be returned

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
  • trackings (object[], required): Fulfillment tracking information

    • trackingNumber (string): Tracking number provided by the shipping carrier Example: 40012345678

    • shippingCarrier (string): Shipping carrier name Example: FedEx

    • trackingUrl (string): Tracking URL Example: https://www.fedex.com/wtrk/track/?trknbr=40012345678

  • items (object[], required): Fulfilled items

    • priceId (string, required): The id of product price Example: 6578278e879ad2646715ba9c

    • qty (number, required): The no of quantity of the item Example: 1

NameTypeRequiredExampleDescription
notifyCustomerbooleanYesTrueNeed to send a notification to customer

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • data (object, required): fulfillment data

json
{
  "status": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/fulfillments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "trackings": [
    {
      "trackingNumber": "40012345678",
      "shippingCarrier": "FedEx",
      "trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
    }
  ],
  "items": [
    {
      "priceId": "6578278e879ad2646715ba9c",
      "qty": 1
    }
  ],
  "notifyCustomer": true
}'

Last updated October 26, 2026

Was this page helpful?